CVE Vulnerabilities

CVE-2014-3529

Published: Sep 04, 2014 | Modified: Aug 29, 2017
CVSS 3.x
N/A
Source:
NVD
CVSS 2.x
4.3 MEDIUM
AV:N/AC:M/Au:N/C:P/I:N/A:N
RedHat/V2
RedHat/V3
Ubuntu

The OPC SAX setup in Apache POI before 3.10.1 allows remote attackers to read arbitrary files via an OpenXML file containing an XML external entity declaration in conjunction with an entity reference, related to an XML External Entity (XXE) issue.

Affected Software

Name Vendor Start Version End Version
Poi Apache 2.5 2.5
Poi Apache 0.2 0.2
Poi Apache 3.7 3.7
Poi Apache 3.0.2 3.0.2
Poi Apache 3.0.1 3.0.1
Poi Apache 3.5 3.5
Poi Apache 1.10 1.10
Poi Apache 3.10 3.10
Poi Apache 1.0.2 1.0.2
Poi Apache 2.0 2.0
Poi Apache 3.5 3.5
Poi Apache 3.7 3.7
Poi Apache 3.0.2 3.0.2
Poi Apache 3.5 3.5
Poi Apache 1.7 1.7
Poi Apache 0.14.0 0.14.0
Poi Apache 0.3 0.3
Poi Apache 1.5.1 1.5.1
Poi Apache 1.2.0 1.2.0
Poi Apache 3.0 3.0
Poi Apache 3.8 3.8
Poi Apache 2.5.1 2.5.1
Poi Apache 3.0 3.0
Poi Apache 0.13.0 0.13.0
Poi Apache 3.5 3.5
Poi Apache 2.0 2.0
Poi Apache 0.7 0.7
Poi Apache 0.5 0.5
Poi Apache 1.0.1 1.0.1
Poi Apache 3.7 3.7
Poi Apache 3.8 3.8
Poi Apache 2.0 2.0
Poi Apache 3.7 3.7
Poi Apache 2.0 2.0
Poi Apache 3.8 3.8
Poi Apache 3.5 3.5
Poi Apache 0.11.0 0.11.0
Poi Apache 3.0 3.0
Poi Apache * 3.10
Poi Apache 3.8 3.8
Poi Apache 0.1 0.1
Poi Apache 3.1 3.1
Poi Apache 3.8 3.8
Poi Apache 3.2 3.2
Poi Apache 3.5 3.5
Poi Apache 3.6 3.6
Poi Apache 1.8 1.8
Poi Apache 3.0.2 3.0.2
Poi Apache 2.0 2.0
Poi Apache 0.4 0.4
Poi Apache 2.0 2.0
Poi Apache 0.12.0 0.12.0
Poi Apache 3.1 3.1
Poi Apache 0.6 0.6
Poi Apache 3.5 3.5
Poi Apache 0.10.0 0.10.0
Poi Apache 3.8 3.8
Poi Apache 3.0 3.0
Poi Apache 3.1 3.1
Poi Apache 1.5 1.5
Poi Apache 1.1.0 1.1.0
Poi Apache 3.10 3.10
Poi Apache 3.9 3.9
Poi Apache 1.0.0 1.0.0

References